package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TMeasureStressMapper;
import com.ruoyi.project.sems.domain.TMeasureStress;
import com.ruoyi.project.sems.service.ITMeasureStressService;

/**
 * 材料应力Service业务层处理
 *
 * @author ssy
 * @date 2025-03-19
 */
@Service
public class TMeasureStressServiceImpl implements ITMeasureStressService
{
    @Autowired
    private TMeasureStressMapper tMeasureStressMapper;

    /**
     * 查询材料应力
     *
     * @param id 材料应力ID
     * @return 材料应力
     */
    @Override
    public TMeasureStress selectTMeasureStressById(Long id)
    {
        return tMeasureStressMapper.selectTMeasureStressById(id);
    }

    /**
     * 查询材料应力列表
     *
     * @param tMeasureStress 材料应力
     * @return 材料应力
     */
    @Override
    public List<TMeasureStress> selectTMeasureStressList(TMeasureStress tMeasureStress)
    {
        return tMeasureStressMapper.selectTMeasureStressList(tMeasureStress);
    }

    /**
     * 新增材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    @Override
    public int insertTMeasureStress(TMeasureStress tMeasureStress)
    {
        return tMeasureStressMapper.insertTMeasureStress(tMeasureStress);
    }

    /**
     * 修改材料应力
     *
     * @param tMeasureStress 材料应力
     * @return 结果
     */
    @Override
    public int updateTMeasureStress(TMeasureStress tMeasureStress)
    {
        return tMeasureStressMapper.updateTMeasureStress(tMeasureStress);
    }

    /**
     * 批量删除材料应力
     *
     * @param ids 需要删除的材料应力ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureStressByIds(Long[] ids)
    {
        return tMeasureStressMapper.deleteTMeasureStressByIds(ids);
    }

    /**
     * 删除材料应力信息
     *
     * @param id 材料应力ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureStressById(Long id)
    {
        return tMeasureStressMapper.deleteTMeasureStressById(id);
    }
}
